__gnu_profile::__trace_hash_func(3)

NAME
__gnu_profile::__trace_hash_func -

SYNOPSIS

Inherits __gnu_profile::__trace_base< __hashfunc_info, __hashfunc_stack_info >.

  Public Member Functions
void __add_object (__object_t object, __hashfunc_info__info)
void __collect_warnings (__warning_vector_t &__warnings)
void __destruct (const void *__obj, std::size_t __chain, std::size_t __accesses, std::size_t __hops)
__hashfunc_info * __get_object_info (__object_t __object)
void __insert (__object_t __obj, __stack_t __stack)
void __retire_object (__object_t __object)
void __write (FILE *__f)

  Protected Attributes
const char * __id

Detailed Description

Hash performance instrumentation producer.

Definition at line 105 of file profiler_hash_func.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.